import Foundation

protocol Account {
    
    var balance : Int { get set }
    
    func withdraw(amount : Int)
    func deposit(amount : Int)
    
}

class CheckingAccount : Account {
    
    var balance = 0
    
    func withdraw(amount : Int) {
        balance -= amount
    }
    
    func deposit(amount : Int) {
        balance += amount
    }
    
}

func transfer(amount : Int, fromAccount : Account, toAccount : Account) {
    fromAccount.withdraw(amount: amount)
    toAccount.deposit(amount: amount)
}

let account1 : Account = CheckingAccount()
let account2 : Account = CheckingAccount()
transfer(amount: 10, fromAccount: account1, toAccount: account2)
